commit:     f54965b0b2cd058c24eff09feb64daef32096ae3
Author:     Punarbasu Purkayastha <ppurka <AT> gmail <DOT> com>
AuthorDate: Tue Jun 21 13:58:16 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Jul  3 11:51:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f54965b0

app-misc/recoll: Version bump to 1.32.2

Bug: https://bugs.gentoo.org/853319
Signed-off-by: Punarbasu Purkayastha <ppurka <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/26020
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-misc/recoll/Manifest             |   1 +
 app-misc/recoll/recoll-1.32.2.ebuild | 127 +++++++++++++++++++++++++++++++++++
 2 files changed, 128 insertions(+)

diff --git a/app-misc/recoll/Manifest b/app-misc/recoll/Manifest
index baa4fb6de3f5..bc5b91d1ad0a 100644
--- a/app-misc/recoll/Manifest
+++ b/app-misc/recoll/Manifest
@@ -5,3 +5,4 @@ DIST recoll-1.31.0.tar.gz 3679099 BLAKE2B 
6d02c0e0487ff02957ffc3c824152a14307e5a
 DIST recoll-1.31.2.tar.gz 3689921 BLAKE2B 
01eb0ef96362e214022a96876c10246c0d183a861c1e3d791717c3d77d4244ed90bbb9041bf23a613e59b5c099092c262d1bee1760ea527fe60f01383bec8a5f
 SHA512 
365cc152715cb89c88b4271fdda4ccf963b1c6e3088f69684cba2a494bf9b0192e4553b1412607f3acd61ec85eb2fe92c46cd258b3fc2977f9528bb0a667e6cb
 DIST recoll-1.31.5.tar.gz 3696832 BLAKE2B 
d2bb3199e70aa53679662aff8650a08b6d99182ee7ba11011726f704401c03899bc4d7e24c5c5cf88b2b3a99257e2f11403e29d69da87e00386f57c43db3bd2c
 SHA512 
3a48cfb825e70ec7de6cc789f9d03f6ee6f38cb54ac8419b9038c1f35ed8954249c1ed558bd9aa781c741a0241b633c02b2aa31d6d12b30937a32b9e1da8d44f
 DIST recoll-1.32.0.tar.gz 3622960 BLAKE2B 
74adc5861d7eeaa3240471444622a4cf638a111bc79aa7ea372c49e63732b06c011f2ae627130da84aaa9a3df42d8c64d4a65d2d83db2ebb20c21bf7820b06f6
 SHA512 
4a2edf3b9ef7048352bb7c8547138b8e21597f362f8ca058218c99400c841a5a80f948ab5ff51209ae66010c8d35d5b136e8b7e09284d1c70665b4641cc4c9da
+DIST recoll-1.32.2.tar.gz 3648813 BLAKE2B 
091df122d9d484ad2247a96da2a376cf0884349ab57e4be4cf31bc2abd175741cc1eb82084706f23445f1b47f13a5819916e2d48f10e4fab6e498bb34e99eea4
 SHA512 
6e0c51867306cd13cb09fcdebc60d8fef97ab680d22425eb58e398ab4d119bf58e19e21e986309ade25a4d6fe2ff0d33eaa44826fcddc2f5d401df159c3f865f

diff --git a/app-misc/recoll/recoll-1.32.2.ebuild 
b/app-misc/recoll/recoll-1.32.2.ebuild
new file mode 100644
index 000000000000..59a495aceb67
--- /dev/null
+++ b/app-misc/recoll/recoll-1.32.2.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit linux-info optfeature python-single-r1 qmake-utils systemd
+
+DESCRIPTION="Personal full text search package"
+HOMEPAGE="https://www.lesbonscomptes.com/recoll/";
+SRC_URI="https://www.lesbonscomptes.com/recoll/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="camelcase chm +inotify qt5 session +spell systemd webengine"
+REQUIRED_USE="
+       session? ( inotify )
+       webengine? ( qt5 )
+       ${PYTHON_REQUIRED_USE}
+"
+
+DEPEND="
+       dev-libs/libxml2
+       dev-libs/libxslt
+       dev-libs/xapian:=
+       sys-libs/zlib
+       virtual/libiconv
+       chm? (
+               dev-libs/chmlib
+               dev-python/pychm
+       )
+       qt5? (
+               dev-qt/qtcore:5
+               dev-qt/qtgui:5
+               dev-qt/qtprintsupport:5
+               dev-qt/qtwidgets:5
+               webengine? ( dev-qt/qtwebengine:5[widgets] )
+       )
+       session? (
+               inotify? (
+                       x11-libs/libSM
+                       x11-libs/libICE
+                       x11-libs/libX11
+               )
+       )
+       spell? ( app-text/aspell )
+       systemd? ( sys-apps/systemd )
+       ${PYTHON_DEPS}
+"
+
+BDEPEND="
+       qt5? ( dev-qt/linguist-tools:5 )
+"
+
+RDEPEND="
+       ${DEPEND}
+       app-arch/unzip
+"
+
+pkg_setup() {
+       if use inotify; then
+               local CONFIG_CHECK="~INOTIFY_USER"
+               check_extra_config
+       fi
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       python_fix_shebang filters
+}
+
+src_configure() {
+       use qt5 && export QMAKE="$(qt5_get_bindir)/qmake"
+
+       local myeconfargs=(
+               $(use_enable camelcase)
+               $(use_enable chm python-chm)
+               $(use_enable session x11mon)
+               $(use_enable qt5 qtgui)
+               $(use_enable webengine)
+               $(use_with inotify)
+               $(use_with spell aspell)
+               $(use_with systemd)
+               --with-system-unit-dir="$(systemd_get_systemunitdir)"
+               --with-user-unit-dir="$(systemd_get_userunitdir)"
+               --disable-webkit
+               --without-fam
+               --enable-recollq
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake STRIP="$(type -P true || die)" DESTDIR="${D}" install
+       python_optimize
+
+       # html docs should be placed in /usr/share/doc/${PN}/html
+       dodoc -r "${ED}"/usr/share/recoll/doc/.
+       rm -r "${ED}/usr/share/recoll/doc" || die
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       optfeature "XML based documents support" "dev-libs/libxslt[python] 
dev-libs/libxml2[python]"
+       optfeature "PDF files support" app-text/poppler
+       optfeature "PDF files with OCR support" app-text/tesseract
+       optfeature "MS Word files support" app-text/antiword
+       optfeature "Wordperfect files support" "app-text/libwpd[tools]"
+       optfeature "Lyx files support" app-office/lyx
+       optfeature "GNU Info files support" sys-apps/texinfo
+       optfeature "RAR archives support" dev-python/rarfile
+       optfeature "7zip archives support" dev-python/pylzma
+       optfeature "iCalendar files support" dev-python/icalendar
+       optfeature "Postscript files support" app-text/pstotext
+       optfeature "RTF files support" app-text/unrtf
+       optfeature "TeX files support" dev-text/detex
+       optfeature "DVI files support" virtual/tex-base
+       optfeature "DJVU files support" app-text/djvu
+       optfeature "tags in audio files support" media-libs/mutagen
+       optfeature "tags in image files support" media-libs/exiftool
+       optfeature "Midi karaoke files support" dev-python/chardet
+}

Reply via email to